const mysql = require("mysql");

function getConnection() {
  return mysql.createConnection({
    host: process.env.MYSQL_HOST,
    user: process.env.MYSQL_USER,
    password: process.env.MYSQL_PASSWORD,
    database: process.env.MYSQL_DB,
  });
}

function getShares(connection) {
  return new Promise((resolve, reject) => {
    connection.query(
      `SELECT * FROM Share`,
      (error, result) => {
        if (error) {
          throw(new Error(error));
        }
        resolve(result);
      }
    );
  });
}

function getShareholders(connection) {
  return new Promise((resolve, reject) => {
    connection.query(
      `SELECT * FROM Shareholder`,
      (error, result) => {
        if (error) {
          throw(new Error(error));
        }
        resolve(result);
      }
    );
  });
}

module.exports = {
  getConnection,

  getShares,

  getShareholders,
}

